package com.casic.missiles.modular.system.enums;

import java.util.HashMap;

/**
 * @author cz
 * @date 2022-7-15
 * 上传数据总记录数
 */
public enum DeviceDataTableEnum {

    DATA_DIG("data_dig", "管线开挖状态"),
    DATA_GAS("data_gas", "井内燃气浓度"),
    DATA_GASLIQUID("data_gasliquid_gas,data_gasliquid_liquid", "井内燃气浓度、水位"),
    DATA_GAS_DECTOR("data_gas_dector", "燃气浓度"),
    DATA_HARMFUL_GAS("data_harmful_gas", "井内有害气体"),
    DATA_HYDRANT("data_hydrant", "消防栓溢水情况"),
    DATA_LIQUID("data_liquid", "井内水位"),
    DATA_NOISE("data_noise", "管线噪声"),
    DATA_PANTILT("data_pantilt", "甲烷浓度"),
    DATA_TEMP_HUM("data_temp_hum", "井内温湿度"),
    DATA_TUBE("data_tube", "燃气泄漏"),
    DATA_WELLCOVER("data_wellcover", "井盖状态"),
    DATA_WELLCOVER_DATA("data_temp_press", "温度压力"),
    DATA_WELLCOVER_LOCA("data_wellcover_loca", "井盖位置"),
    DATA_WELLPLUS("data_wellplus", "井盖和液位"),
    DATA_H2S("data_h2s", "硫化氢"),
    DEVICE_TYPE_TABLE(new HashMap<Integer, DeviceDataTableEnum>() {{
            put(1, DATA_WELLCOVER);
            put(2, DATA_LIQUID);
            put(3, DATA_HARMFUL_GAS);
            put(4, DATA_GAS);
            put(5, DATA_TEMP_HUM);
            put(6, DATA_DIG);
            put(7, DATA_WELLCOVER_LOCA);
            put(8, DATA_NOISE);
            put(9, DATA_WELLCOVER_DATA);
            put(10, DATA_GASLIQUID);
            put(11, DATA_HYDRANT);
            put(12, DATA_TUBE);
            put(13, DATA_WELLPLUS);
            put(14, DATA_H2S);
            put(21, DATA_PANTILT);
            put(101, DATA_GAS_DECTOR);
        }
    });

    String typeName;
    String tableName;

    DeviceDataTableEnum(String tableName, String typeName) {
        this.typeName = typeName;
        this.tableName = tableName;
    }

    public String getTypeName() {
        return typeName;
    }

    public String getTableName() {
        return tableName;
    }


    public HashMap<Integer, DeviceDataTableEnum> tableNameMap;

    DeviceDataTableEnum(HashMap<Integer, DeviceDataTableEnum> tableNameMap) {
        this.tableNameMap = tableNameMap;
    }

    public HashMap<Integer, DeviceDataTableEnum> getTableNameMap() {
        return tableNameMap;
    }


}
